org.apache.ignite.internal.visor.query

## Class VisorScanQueryTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorScanQueryTaskArg,VisorEither<VisorQueryResult>>
    - - org.apache.ignite.internal.visor.query.VisorScanQueryTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorScanQueryTaskArg>,VisorEither<VisorQueryResult>>

    @GridInternal
    public class VisorScanQueryTask
    extends VisorOneNodeTask<VisorScanQueryTaskArg,VisorEither<VisorQueryResult>>

Task for execute SCAN query and get first page of results.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorScanQueryTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.query.VisorScanQueryTask.VisorScanQueryJob` `job(VisorScanQueryTaskArg arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorScanQueryTask

    public VisorScanQueryTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.query.VisorScanQueryTask.VisorScanQueryJob job(VisorScanQueryTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorScanQueryTaskArg,VisorEither<VisorQueryResult>,VisorEither<VisorQueryResult>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018